---
apiVersion: v1alpha1
metadata:
  name: cnfdc8
rendezvousIP: 10.19.17.126
hosts:
  - hostname: cnfdc8-master-0
    role: master
    rootDeviceHints:
      deviceName: "/dev/sda"
    interfaces:
     - name: enp1s0
       macAddress: aa:bb:dc:dd:a8:01
    networkConfig:
      interfaces:
        - name: enp1s0
          type: ethernet
          state: up
          mac-address: aa:bb:dc:dd:a8:01
          ipv4:
            enabled: true
            address:
              - ip: 10.19.17.126
                prefix-length: 23
            dhcp: false
          ipv6:
            enabled: false
      dns-resolver:
        config:
          server:
            - 10.11.5.160
            - 10.2.70.215
      routes:
        config:
          - destination: 0.0.0.0/0
            next-hop-address: 10.19.17.254
            next-hop-interface: enp1s0
            table-id: 254
  - hostname: cnfdc8-master-1
    role: master
    rootDeviceHints:
      deviceName: "/dev/sda"
    interfaces:
     - name: enp1s0
       macAddress: aa:bb:dc:dd:a8:02
    networkConfig:
      interfaces:
        - name: enp1s0
          type: ethernet
          state: up
          mac-address: aa:bb:dc:dd:a8:02
          ipv4:
            enabled: true
            address:
              - ip: 10.19.17.147
                prefix-length: 23
            dhcp: false
          ipv6:
            enabled: false
      dns-resolver:
        config:
          server:
            - 10.11.5.160
            - 10.2.70.215
      routes:
        config:
          - destination: 0.0.0.0/0
            next-hop-address: 10.19.17.254
            next-hop-interface: enp1s0
            table-id: 254
  - hostname: cnfdc8-master-2
    role: master
    rootDeviceHints:
      deviceName: "/dev/sda"
    interfaces:
     - name: enp1s0
       macAddress: aa:bb:dc:dd:a8:03
    networkConfig:
      interfaces:
        - name: enp1s0
          type: ethernet
          state: up
          mac-address: aa:bb:dc:dd:a8:03
          ipv4:
            enabled: true
            address:
              - ip: 10.19.17.148
                prefix-length: 23
            dhcp: false
          ipv6:
            enabled: false
      dns-resolver:
        config:
          server:
            - 10.11.5.160
            - 10.2.70.215
      routes:
        config:
          - destination: 0.0.0.0/0
            next-hop-address: 10.19.17.254
            next-hop-interface: enp1s0
            table-id: 254
  - hostname: cnfdc8-worker-0
    interfaces:
     - name: enp1s0
       macAddress: aa:bb:bb:0c:08:01
    networkConfig:
      interfaces:
        - name: enp1s0
          type: ethernet
          state: up
          mac-address: aa:bb:bb:0c:08:01
          ipv4:
            enabled: true
            address:
              - ip: 10.19.17.137
                prefix-length: 23
            dhcp: false
          ipv6:
            enabled: false
      dns-resolver:
        config:
          server:
            - 10.11.5.160
            - 10.2.70.215
      routes:
        config:
          - destination: 0.0.0.0/0
            next-hop-address: 10.19.17.254
            next-hop-interface: enp1s0
            table-id: 254
  - hostname: cnfdc8-worker-1
    interfaces:
     - name: eno1
       macAddress: 0c:42:a1:55:f3:06
    networkConfig:
      interfaces:
        - name: eno1
          type: ethernet
          state: up
          mac-address: 0c:42:a1:55:f3:06
          ipv4:
            address:
              - ip: 10.19.16.57
                prefix-length: 23
            dhcp: false
            enabled: true
          ipv6:
            enabled: false
      dns-resolver:
        config:
          server:
            - 10.11.5.160
            - 10.2.70.215
      routes:
        config:
          - destination: 0.0.0.0/0
            next-hop-address: 10.19.17.254
            next-hop-interface: eno1
            table-id: 254
